
if not flags.firstdop1 and flags.ShowTutorial then
  flags.firstdop1=true
  CreateTutorial("10007",15,15,0)
end;

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender, obj_id, attachedID);
  MiniInterfaceHandler(sender, obj_id)
  if sender==30 then
  if flags.book_open and not flags.book_openM then
    flags.book_openM=true
    speciale_action(2,15)
  end;
  if flags.BookCompl then
    StopEmiter("Standart_1_1");
    speciale_action(2,12)
  end;  
  return;end;
  
  if sender==16 then 
    if obj_id==obj.book2.id then  
    
    speciale_action(2,obj.book2.id,true)
    speciale_action(2,obj.book3.id,true)
    return;end;  
    if obj_id==obj.book3.id then
    speciale_action(2,obj.book3.id,true)
    speciale_action(2,obj.book4.id,true)
    speciale_action(2,obj.kul.id,true)
    setCursor(obj.kul.id,4)
    flags.book_open=true
    Block_Show_Cur(false)
    return;end;      
  return;end;
  
  if sender==1 then
    if obj_id==obj.book1.id then
    speciale_action(2,obj.book1.id,true)
    speciale_action(2,obj.book2.id,true)
    setCursor(obj.book1.id,3)
    playeffect("book")
    Block_Show_Cur(true)
    return;end;
    if obj_id==obj.kul.id then
    StoreObj(obj.kul.id)
    flags.BookCompl=true
    return;end; 
  end
  
  if sender == 26 then
    --CloseSatelite()
  end  
end

function SheetSwitched(nCount)
end;
